<?php
defined('LOOTY') or die('direct access to this file is not allowed');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>Guild Bank for <?=$guildname_plain?></title>
	<link rel="stylesheet" type="text/css" href="bits/bank.css" />
	<meta name="Abstract" content="<?=$guildname_plain?> Guild Bank" />
	<meta name="Description" 
		content="List of items currently held in the guild bank for <?=$guildname_plain?> of the <?=$guildserver?> realm." />
	<meta name="Author" content="<?=htmlspecialchars($lootycredits)?>" />
	<meta name="X-Looty-Version" content="<?=$lootydate?> v<?=$lootyver?>" />
	<? if ($showtooltips) { ?><script type="text/javascript" src="bits/tooltips.js"></script><? } ?>
</head>

<body>

<p></p>
<!-- header -->
<table width="600" cellpadding="4" cellspacing="0" class="loot">
	<tr>
		<td class="loothead banktitle"><?=$guildname_plain?> Guild Bank</td>
	</tr><tr>
		<td>Below is listed the contents of the guild bank for <b><?=$guildname?></b>.</td>
	</tr><tr>
		<td>Please contact <b><?=$guildmaster?></b> with any questions.</td>
	</tr>
</table>

<form action="<?=$_SERVER['PHP_SELF']?>" name="looty">

<input type="hidden" name="char" value="<?=$char?>" />
<input type="hidden" name="expand" value="<?=$expand?>" />

<p></p>
<table class="loot" cellpadding="4" cellspacing="0">
<tr>
	<td colspan="2" class="loothead">Search for an item<?=($numlootchars > 1 ? ' or list by category:' : '')?></td>
</tr><tr>
	<td class="item" colspan="2"><table cellpadding="2" cellspacing="0" width="100%"><tr>
		<td width="40%">
<? if ($numlootchars > 1) { ?>
			<select class="wide"  
				name="charchooser" 
				onchange="document.location='<?=$_SERVER['PHP_SELF']?>?<?=current_url_string()?>&amp;filter=' 
					+ looty.filter.value 
					+ '&amp;char=' 
					+ this.options[this.selectedIndex].value;">
				<option value="">list all items in the bank</option>
<? foreach ($allchars as $tmpchar => $tmpdesc) { ?>
				<option value="<?=htmlspecialchars($tmpchar)?>"<?=($tmpchar == $char ? ' selected' : '')?>><?=$tmpdesc?></option>
<? } ?>
			</select>

<? } ?>
		</td>
		<td width="40%">
			<select class="wide" 
				name="itemclass" onchange="document.location='<?=$_SERVER['PHP_SELF']?>?<?=current_url_string()?>&amp;filter=' 
					+ looty.filter.value 
					+ '&amp;itemclass=' 
					+ this.options[this.selectedIndex].value;">
				<option value="">any quality</option>
<? foreach ($itemclasses as $tmpclass) { ?>
				<option value="<?=htmlspecialchars($tmpclass)?>"<?=($itemclassindex[$tmpclass] == $itemclass ? ' selected' : '')?>><?=$tmpclass?></option>
<? } ?>
			</select>
		</td>
		<td>min&nbsp;level:</td>
		<td><input type="text" name="minlevel" value="<?=$minlevel?>" size="4" class="level" /></td>
		<td>max&nbsp;level:</td>
		<td><input type="text" name="maxlevel" value="<?=$maxlevel?>" size="4" class="level" /></td>
	</tr></table></td></tr><tr>
		<td class="item"><input type="text" name="filter" class="filter" value="<?=htmlspecialchars(stripslashes($filter))?>" /></td>
		<td class="item"><input type="submit" value="go" class="submit" /></td>
	</tr>
</table>
</form>
<? if (!$total) { ?>
<p></p>
<table cellpadding="4" cellspacing="0">
<tr>
	<td class="notfound">No items found for <?=$char?></td>
</tr>
<? } else { ?>
<p></p>
<table class="loot" cellpadding="4" cellspacing="0" width="600">
<tr><td colspan="<?=(((!$char && $guild) ? 5 : 4) + ($showicons ? 0 : 1))?>" class="divider">
	<table cellpadding="0" cellspacing="0" width="100%">

	<tr>
	<td style="font-weight: bold;">Matching <?=($char ? "items held by <b>$char</b>" : 'all items in the guild bank')?> (<?=$total?> item<?=($total == 1 ? '' : 's')?>) - [<a href="<?="{$_SERVER['PHP_SELF']}?minlevel=$minlevel&amp;maxlevel=$maxlevel&amp;sort=$sort&amp;char=$char&amp;itemclass={$itemclasses[$itemclass]}"?>&amp;filter=<?=urlencode($filter)?>&amp;expand=<?=($expand ? 0 : 'yes')?>"><?=($expand ? 'collapse' : 'expand')?></a>]</td>

<? if ($showmoney) { ?>
	<td style="font-weight: bold;" align="right"><?=($char ? "balance for $char" : 'overall balance')?>: <span class="gold"><?=$money['gold']?>g</span> <span class="silver"><?=$money['silver']?>s</span> <span class="copper"><?=$money['copper']?>c</span></td>
<?	} ?>
	</tr>

	</table>
</td></tr>

<tr>
<? if ($showicons) { ?>
<td class="loothead" align="right">&rarr;</td>
<?	} ?>
<td class="loothead">item name</td>
<td class="loothead" align="right">quantity</td>
<? if (!$char && $guild) { ?>
<td class="loothead"><a class="loothead" href="<?="{$_SERVER['PHP_SELF']}?minlevel=$minlevel&maxlevel=$maxlevel&sort=member_id&oldsort=$oldsort&char=$char&itemclass={$itemclasses[$itemclass]}&expand=$expand"?>&filter=<?=urlencode($filter)?>">owner</a></td>
<?	} ?>
<td class="loothead">&nbsp;</td>
</tr>

<?
foreach ($items as $thischar => $loot) {
	if (true || !$char) {
?>

<tr><td colspan="<?=(((!$char && $guild) ? 5 : 4) + ($showicons ? 0 : 1))?>" class="divider">
<?=$thischar?>
</td></tr>

<?		} ?>

<?	foreach ($loot as $key => $item) {

      $tdclass = $tdclasses[($count++ % 2)];
?>

<tr>
<? 		if ($showicons) { ?>
<td class="<?=$tdclass?>">
<span onmouseover="showTip(event, 'sub<?=$key?>', <?=$tipsfollowmouse?>)" <?=($showtooltips ? "onmouseout=\"hideTip(event, 'sub$key')\"" : '')?>>
<img src='<?=$item['icon']?>.jpg' height="20" width="20" alt="<?=$item['name']?>" /></span></td>
<?			} ?>
<td class="<?=$tdclass?>" style="white-space: nowrap;" width="100%">
<span <?=($showtooltips ? "onmouseover=\"showTip(event, 'sub$key', $tipsfollowmouse)\" onmouseout=\"hideTip(event, 'sub$key')\"" : '')?> class="<?=$item['class']?>">
<?=$item['name']?></span><?=(($item['level'] && $showlevel) ? " [{$item['level']}]" : '')?>
<div id="sub<?=$key?>" class="tooltip"><?=$item['tooltip']?></div></td>
<td class="<?=$tdclass?>" align="right" style="font-weight: bold;"><?=($item['amount'] > 1 ? "x{$item['amount']}" : '')?></td>

<?		if (!$char && $guild) { ?>

<td class="<?=$tdclass?>" style="padding-left: 10px;"><a href="<?="{$_SERVER['PHP_SELF']}?char={$item['player']}&sort=$sort"?>"><?=$item['player']?></a></td>

<?			} ?>

<td class="<?=$tdclass?>" style="padding-left: 10px; white-space: nowrap;"><?=pretty_url_list($locale, $item['id'][0], $item['name']);?></td>
</tr>

<?		if ($expand) { ?>

<tr>
<td>&nbsp;</td>
<td colspan="<?=(((!$char && $guild) ? 5 : 4) + ($showicons ? 0 : 1))?>"><?=join('<br />', $item['info'])?></td>
</tr>

<?			} 
		} 
	}
} ?>

</table>

</body>
</html>